Appearance
Get reservation guest data of a single guest
GET
/v1/reservations/{reservation_id}/guestdata/{guest_id}
Get the current guest data for the reservation and what is the conditions are.
Authorizations
api_key
Type
API Key (header: X-Api-Key)
Parameters
Path Parameters
reservation_id*
XS2event ID of the Reservation
Type
Requiredstring
guest_id*
XS2event ID of the guest
Type
Requiredstring
Query Parameters
sorting
Default
nullinclude_conditions
Include validation conditions?
Type
boolean
Example
falseDefault
falsecountry_hint
Hint for country code
Type
string
Example
"NLD"Responses
OK
application/json
JSON "first_name": { "value": "John", "condition": null, "error": null }, "last_name": { "value": "John", "condition": null, "error": null }, "passport_number": { "value": "John", "condition": null, "error": null }, "contact_email": { "value": "John", "condition": null, "error": null }, "contact_phone": { "value": "John", "condition": null, "error": null }, "date_of_birth": { "value": "John", "condition": null, "error": null }, "gender": { "value": "John", "condition": null, "error": null }, "country_of_residence": { "value": "John", "condition": null, "error": null }, "lead_guest": true, "guest_id": "5661e8fd160a48e18ec363cad686ba2c_gst", "street_name": { "value": "John", "condition": null, "error": null }, "additional_street_name": { "value": "John", "condition": null, "error": null }, "city": { "value": "John", "condition": null, "error": null }, "zip": { "value": "John", "condition": null, "error": null }, "province": { "value": "John", "condition": null, "error": null }, "supported_team": { "value": "John", "condition": null, "error": null }
{
}